[Solved...] Important security package...

If you are looking for a specific 64-bit package and you can't find it in any of the 64-bit repos, please post a request for it here
Post Reply
User avatar
n0ctilucient
Samurai
Samurai
Posts: 180
Joined: 21 Apr 2017, 15:59
Distribution: fullmoonremix
Location: 127.0.0.1
Contact:

[Solved...] Important security package...

Post#1 by n0ctilucient » 07 Feb 2018, 23:16

The Guarded Memory Move tool gets handy when you have to study buffer overflows and you need to catch them together with a "good" stack image.

The GMM library uses the LD_PRELOAD capability and offers two services to the user. First of all, it avoids buffer overflow to allow the attacker to execute shell-code on your machine. Second, in case where an exploit is detected, the stack content is saved and a segmentation fault is triggered.
Source is @... http://www.xmailserver.org/gmm.html

This package has not been adopted yet by ("slackonly" or)...
https://slakfinder.org
https://slackbuilds.org
https://pkgs.org

So far... I have not been able to successfully compile this package.

Thanx... in advance to anyone that is interested in sharing their "module" link.
Last edited by n0ctilucient on 20 Feb 2018, 19:01, edited 5 times in total.
:hmmm: I do NOT have the "right" to tell anyone what they should do...
but I reserve the "right" to tell them what they should consider.

User avatar
n0ctilucient
Samurai
Samurai
Posts: 180
Joined: 21 Apr 2017, 15:59
Distribution: fullmoonremix
Location: 127.0.0.1
Contact:

[Solved...] Important security package...

Post#2 by n0ctilucient » 18 Feb 2018, 22:05

Successfully compiled GMM using these "src2pkg" parameters...
@.. Src2pkg.conf w/ "hardened" EXTRA_FLAGS
:hmmm: I do NOT have the "right" to tell anyone what they should do...
but I reserve the "right" to tell them what they should consider.

Post Reply